/[gentoo-x86]/sys-auth/polkit/ChangeLog
Gentoo

Diff of /sys-auth/polkit/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.27 Revision 1.120
1# ChangeLog for sys-auth/polkit 1# ChangeLog for sys-auth/polkit
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/sys-auth/polkit/ChangeLog,v 1.27 2010/09/25 02:08:47 nirbheek Exp $ 3# $Header: /var/cvsroot/gentoo-x86/sys-auth/polkit/ChangeLog,v 1.120 2012/12/21 14:59:13 ssuominen Exp $
4
5*polkit-0.109-r1 (21 Dec 2012)
6
7 21 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.109-r1.ebuild,
8 +files/polkit-0.109-XAUTHORITY-fallback.patch:
9 Backport XAUTHORITY fallback support from upstream git.
10
11 19 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.108.ebuild:
12 Add ~ia64, wrt bug #436668
13
14*polkit-0.109 (19 Dec 2012)
15
16 19 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.109.ebuild:
17 Version bump. Fix PaX marking logic wrt #444446 by Maxim Kammerer
18
19 18 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
20 Stable for ia64, wrt bug #436666
21
22 22 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
23 stable arm, bug #436666
24
25 22 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.107.ebuild:
26 old
27
28 22 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
29 stable ppc64, bug #436666
30
31 22 Nov 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
32 Stable for x86, tested by Vincent Olivert Riera <peratu@carrosses.com>, wrt
33 bug #436666
34
35 21 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
36 stable ppc, bug #436666, thanks peratu
37
38 19 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.108.ebuild:
39 Link against -lgmodule-2.0 to prevent underlinking (backported from upstream,
40 but using sed to avoid eautoreconf) wrt #443798
41
42*polkit-0.108 (18 Nov 2012)
43
44 18 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.108.ebuild:
45 Version bump.
46
47 28 Oct 2012; Naohiro Aota <naota@gentoo.org> polkit-0.104-r1.ebuild,
48 polkit-0.107-r1.ebuild, polkit-0.107.ebuild:
49 Drop ~x86-fbsd due to bug #439968.
50
51 15 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.104-r1.ebuild,
52 polkit-0.107-r1.ebuild:
53 Drop HPPA keywording (bug #438368).
54
55 15 Oct 2012; Zac Medico <zmedico@gentoo.org> polkit-0.107-r1.ebuild:
56 Set QA_MULTILIB_PATHS for bug #424423.
57
58 09 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.107-r1.ebuild:
59 Marked ~hppa (bug #436668).
60
61 08 Oct 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.107-r1.ebuild:
62 Use pax-mark in src_compile() instead of src_install() for src_test() wrt
63 #423927 by "kensington" and "Nikoli". Punt bogus RESTRICT for multilib-strict
64 and emphatize it's an Portage issue instead of polkit issue in src_install()
65 message.
66
67 07 Oct 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
68 Stable for amd64, wrt bug #436666
69
70*polkit-0.107-r1 (20 Sep 2012)
71
72 20 Sep 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107-r1.ebuild,
73 +files/polkit-0.107-fallback.patch:
74 Introduce upstream patch for falling back to uid 0 for authentication if list
75 of admin identities is empty.
76
77 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.105.ebuild,
78 -polkit-0.106-r7.ebuild:
79 old
80
81*polkit-0.107 (13 Jul 2012)
82
83 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107.ebuild:
84 Version bump.
85
86 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r5.ebuild,
87 -polkit-0.106-r6.ebuild:
88 old
89
90 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r7.ebuild:
91 Remove USE="debug" because --enable/--disable-verbose-mode is no-op wrt
92 #391865 by Maksim Melnikau
93
94*polkit-0.106-r7 (02 Jul 2012)
95
96 02 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r7.ebuild:
97 RESTRICT="multilib-strict" since it's not compatible with the whole
98 /usr/libexec -> /usr/lib/$package migration wrt #424423. This will move
99 polkit-agent-helper-1 and polkitd back to /usr/lib/polkit-1.
100
101*polkit-0.106-r6 (01 Jul 2012)
102
103 01 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r6.ebuild:
104 Fix hardcoded path to "lib" in polkitagentsession.c for systems without the
105 /usr/lib to /usr/lib64 symlink.
106
107 30 Jun 2012; <swift@gentoo.org> polkit-0.104-r1.ebuild, polkit-0.105.ebuild,
108 polkit-0.106-r5.ebuild:
109 Adding dependency on SELinux policykit module if USE=selinux is set
110
111 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r5.ebuild:
112 pax-mark polkitd only when spidermonkey is built with JIT enabled and only
113 'm' instead of 'mr' when version is >= 1.8.7 (by using has_version check)
114
115 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r2.ebuild,
116 -polkit-0.106-r3.ebuild, -polkit-0.106-r4.ebuild:
117 old
118
119*polkit-0.106-r5 (27 Jun 2012)
120
121 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r5.ebuild:
122 Revert entire unix-group:wheel experiment back to unix-user:0 because
123 PolicyKit agent(s) don't behave correctly with it wrt #423733 by Travis
124 Hansen. Revert system-local-login to system-auth for PAM errors wrt #423487
125 by Doug Goldstein.
126
127*polkit-0.106-r4 (27 Jun 2012)
128
129 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r4.ebuild:
130 Stop installing polkit-backend-1.pc because upstream changed
131 libpolkit-backend-1.la to be noinst_LTLIBRARIES in
132 src/polkitbackend/Makefile.am wrt #423431 by Pim Vullers
133
134 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r3.ebuild:
135 Redefine libprivdir in install for multilib-strict wrt #423381 by Michael
136 Palimaka
137
138*polkit-0.106-r3 (25 Jun 2012)
139
140 25 Jun 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
141 +polkit-0.106-r3.ebuild:
142 pax-mark polkitd to fix crashes on hardened/PaX systems.
143
144 23 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r2.ebuild:
145 Convert pkg_postinst() message about polkitd home directory to new
146 user.eclass function esethome().
147
148 19 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r2.ebuild:
149 Check for mozjs187.pc for >=dev-lang/spidermonkey-1.8.7 compability.
150
151 19 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r2.ebuild:
152 Adapt to sys-auth/pambase with USE="systemd" wrt #372229 by Michał Górny
153
154 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r1.ebuild:
155 old
156
157*polkit-0.106-r2 (17 Jun 2012)
158
159 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r2.ebuild:
160 Revision bump to chown /var/lib/polkit-1 because diropts has no effect on
161 existing directories.
162
163 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106.ebuild:
164 old
165
166*polkit-0.106-r1 (17 Jun 2012)
167
168 17 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r1.ebuild:
169 Update /etc/pam.d/polkit-1 from system-login to system-local-login. Use
170 unix-group "adm" for administrators. Use /var/lib/polkit-1 as home directory
171 for unix-user polkitd. Update owners of /etc/polkit-1/rules.d and
172 /usr/share/polkit-1/rules.d to polkitd:root wrt #420269.
173
174 13 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106.ebuild:
175 Pull in dev-lang/spidermonkey >= 1.8.5 and dev-libs/glib >= 2.32 wrt
176 #420173 and #420307.
177
178*polkit-0.106 (07 Jun 2012)
179
180 07 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106.ebuild:
181 Version bump.
182
183 20 May 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.105.ebuild:
184 Improve systemd handling wrt #416317 by Christoph Brill
185
186*polkit-0.105 (14 May 2012)
187
188 14 May 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.105.ebuild:
189 Version bump.
190
191 04 May 2012; Jeff Horelick <jdhore@gentoo.org> polkit-0.104-r1.ebuild:
192 dev-util/pkgconfig -> virtual/pkgconfig
193
194 18 Apr 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.102.ebuild,
195 -polkit-0.103.ebuild, -polkit-0.104.ebuild:
196 old
197
198 25 Mar 2012; Raúl Porcel <armin76@gentoo.org> polkit-0.104-r1.ebuild:
199 ia64/sh/sparc stable wrt #401513
200
201 09 Mar 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.104-r1.ebuild:
202 ppc/ppc64 stable wrt #401513
203
204 17 Feb 2012; Tobias Klausmann <klausman@gentoo.org> polkit-0.104-r1.ebuild:
205 Stable on alpha, bug #401513
206
207 17 Feb 2012; Thomas Kahle <tomka@gentoo.org> polkit-0.104-r1.ebuild:
208 marked x86 per bug 401513
209
210 13 Feb 2012; Markus Meier <maekke@gentoo.org> polkit-0.104-r1.ebuild:
211 arm stable, bug #401513
212
213 02 Feb 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.104-r1.ebuild:
214 Stable for HPPA (bug #401513).
215
216 30 Jan 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.104-r1.ebuild:
217 Stable for AMD64, wrt security bug #401513
218
219*polkit-0.104-r1 (30 Jan 2012)
220
221 30 Jan 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.104-r1.ebuild:
222 Restore the default value of AdminIdentities from "wheel" to "0" like it was
223 in polkit-0.102 and ones before that. You should see files
224 50-localauthority.conf and 60-gentoo.conf in
225 /etc/polkit-1/localauthority.conf.d. You should also familiarize yourself
226 with "man 8 pklocalauthority" as soon as possible.
227
228 29 Jan 2012; Markus Meier <maekke@gentoo.org> polkit-0.103.ebuild:
229 arm stable, bug #397755
230
231 07 Jan 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.103.ebuild:
232 Stable for AMD64, wrt bug #397755
233
234*polkit-0.104 (05 Jan 2012)
235
236 05 Jan 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.104.ebuild,
237 metadata.xml:
238 Version bump.
239
240 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.101-r1.ebuild:
241 old
242
243 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> polkit-0.102.ebuild:
244 ppc/ppc64 stable wrt #387163
245
246 08 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> polkit-0.103.ebuild:
247 Raise dev-libs/glib depend to at least 2.30 wrt #393579 by Matt Palermo
248
249*polkit-0.103 (07 Dec 2011)
250
251 07 Dec 2011; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.103.ebuild:
252 Version bump. Remove unrequired keepdir of /var/run/polkit-1 wrt #387903 by
253 "i.Dark_Templar"
254
255 05 Nov 2011; Raúl Porcel <armin76@gentoo.org> polkit-0.102.ebuild:
256 alpha/arm/ia64/sh/sparc stable wrt #387163
257
258 29 Oct 2011; Markus Meier <maekke@gentoo.org> polkit-0.102.ebuild:
259 arm stable, bug #387163
260
261 19 Oct 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.102.ebuild:
262 Stable for HPPA (bug #387163).
263
264 18 Oct 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> polkit-0.102.ebuild:
265 x86 stable wrt bug #387163
266
267 15 Oct 2011; Markos Chandras <hwoarang@gentoo.org> polkit-0.102.ebuild:
268 Stable on amd64 wrt bug #387163
269
270 28 Aug 2011; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.101-r1.ebuild,
271 polkit-0.102.ebuild:
272 pambase[consolekit] support is needed to use polkit with pam, add to PDEPEND
273
274*polkit-0.102 (06 Aug 2011)
275
276 06 Aug 2011; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.102.ebuild:
277 Version bump.
278
279 10 Jul 2011; Matt Turner <mattst88@gentoo.org> polkit-0.101-r1.ebuild:
280 Added ~mips, bug 296548
281
282 14 May 2011; Gilles Dartiguelongue <eva@gentoo.org> polkit-0.101-r1.ebuild:
283 Add missing dtd to DEPEND, bug #355505.
284
285 30 Apr 2011; Raúl Porcel <armin76@gentoo.org> polkit-0.101-r1.ebuild:
286 alpha/arm/ia64/sh/sparc stable wrt #364973
287
288 28 Apr 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org>
289 polkit-0.101-r1.ebuild:
290 x86 stable wrt security bug #364973
291
292 27 Apr 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.101-r1.ebuild:
293 Stable for HPPA (bug #364973).
294
295 27 Apr 2011; Christoph Mende <angelos@gentoo.org> polkit-0.101-r1.ebuild:
296 Stable on amd64 wrt bug #364973
297
298 27 Apr 2011; Kacper Kowalik <xarthisius@gentoo.org> polkit-0.101-r1.ebuild:
299 ppc/ppc64 stable wrt #364973
300
301*polkit-0.101-r1 (25 Apr 2011)
302
303 25 Apr 2011; Nirbheek Chauhan <nirbheek@gentoo.org> -polkit-0.100.ebuild,
304 +polkit-0.101-r1.ebuild:
305 Add patches for CVE-2011-1485, remove vulnerable 0.100 version
306
307 22 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> polkit-0.99-r1.ebuild:
308 ppc/ppc64 stable wrt #354509
309
310 19 Mar 2011; Raúl Porcel <armin76@gentoo.org> polkit-0.99-r1.ebuild:
311 alpha/ia64/sh/sparc stable wrt #354509
312
313 15 Mar 2011; Nirbheek Chauhan <nirbheek@gentoo.org> polkit-0.101.ebuild:
314 PDEPEND on 0.101 version of polkit-gnome
315
316 13 Mar 2011; Markus Meier <maekke@gentoo.org> polkit-0.99-r1.ebuild:
317 arm stable, bug #354509
318
319*polkit-0.101 (11 Mar 2011)
320
321 11 Mar 2011; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.101.ebuild:
322 Version bump.
323
324 07 Mar 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.99-r1.ebuild:
325 Stable for HPPA (bug #354509).
326
327 04 Mar 2011; Thomas Kahle <tomka@gentoo.org> polkit-0.99-r1.ebuild:
328 x86 stable per bug 354509
329
330 23 Feb 2011; Markos Chandras <hwoarang@gentoo.org> polkit-0.99-r1.ebuild:
331 Stable on amd64 wrt bug #354509
332
333*polkit-0.100 (23 Feb 2011)
334
335 23 Feb 2011; Nirbheek Chauhan <nirbheek@gentoo.org> +polkit-0.100.ebuild:
336 Bump to 0.100
337
338 24 Jan 2011; Samuli Suominen <ssuominen@gentoo.org> polkit-0.99-r1.ebuild:
339 USE="kde" to pull in authentication agent for KDE.
340
341 21 Jan 2011; Jeroen Roovers <jer@gentoo.org> polkit-0.99-r1.ebuild:
342 Marked ~hppa (bug #296548).
343
344*polkit-0.99-r1 (25 Dec 2010)
345
346 25 Dec 2010; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.99-r1.ebuild:
347 Revision bump to remove static archives (.a) and libtool archives (.la).
348 USE="gtk" to pull in authentication agent for GTK+ based desktops.
4 349
5*polkit-0.99 (25 Sep 2010) 350*polkit-0.99 (25 Sep 2010)
6 351
7 25 Sep 2010; <nirbheek@gentoo.org> +polkit-0.99.ebuild: 352 25 Sep 2010; <nirbheek@gentoo.org> +polkit-0.99.ebuild:
8 Bump to 0.99, masked due to >=glib-2.25 requirement 353 Bump to 0.99, masked due to >=glib-2.25 requirement
110 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org> 455 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org>
111 +files/polkit-0.92-zsh-completions.patch, 456 +files/polkit-0.92-zsh-completions.patch,
112 +files/polkit-0.93-fix-daemon-name.patch, +polkit-0.94.ebuild, 457 +files/polkit-0.93-fix-daemon-name.patch, +polkit-0.94.ebuild,
113 +metadata.xml: 458 +metadata.xml:
114 Initial ebuild for GNOME 2.28. 459 Initial ebuild for GNOME 2.28.
115

Legend:
Removed from v.1.27  
changed lines
  Added in v.1.120

  ViewVC Help
Powered by ViewVC 1.1.20